ProfileConfiguration (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.profile
Class ProfileConfiguration

    java.lang.Object
      |
      +--org.beepcore.beep.profile.ProfileConfiguration

public class ProfileConfiguration
extends java.lang.Object

The Configuration class (which can be extended of course) is designed to allow for the provision of profile-specific settings, as well as the storage of profile-specific data. It can be extended by those implementing profile libraries at will.

Constructor Summary
`ProfileConfiguration()`

Method Summary
`java.lang.String` | `getProperty(java.lang.String key)` Searches for the property with the specified key in this ProfileConfiguration.
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)` Searches for the property with the specified key in this ProfileConfiguration.
`java.util.Enumeration` | `propertyNames()` Returns an enumeration of all the keys in this ProfileConfiguration.
`java.lang.String` | `setProperty(java.lang.String key, java.lang.String value)` Stores the value with the associated key in this ProfileConfiguration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileConfiguration

    public ProfileConfiguration()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Searches for the property with the specified key in this ProfileConfiguration.

  Parameters:
    `key` - the property key.
  Returns:
    the value in this configuration list with the specified key value or null if it is not found.

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

  Searches for the property with the specified key in this ProfileConfiguration. If the key is not found in this ProfileConfiguration `defaultValue` is returned.

  Parameters:
    `key` - the property key.
    `defaultValue` - a default value.
  Returns:
    the value in this configuration list with the specified key value or `defaultValue` if it is not found.

### propertyNames

    public java.util.Enumeration propertyNames()

  Returns an enumeration of all the keys in this ProfileConfiguration.

### setProperty

    public java.lang.String setProperty(java.lang.String key,
                                        java.lang.String value)

  Stores the value with the associated key in this ProfileConfiguration.

  Returns:
    the previous value of the specified key in this ProfileConfiguration, or `null` if it did not have one.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.